@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,900;1,700&display=swap");

/* Variables */
:root {
    --font-family: "Roboto", sans-serf;
    --normal-font: 400;
    --bold-font: 700;
    --bolder-font: 900;
    --bg-color: white;
    --primary-color: #123c69;
    --secondary-color: #123c69;
    --primary-shadow: #8b8eaf;
    --secondary-shadow: #a17a69;
    --bottom-margin: 0.5rem;
    --bottom-margin-2: 1rem;
    --line-height: 1.7rem;
    --transition: 0.3s;
}

/* Variables end */

html {
    scroll-behavior: smooth;
}

/* CSS Resets */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: var(--primary-color);
}

a:hover {
    color: var(--secondary-color);
}

body {
    font-family: var(--font-family);
}

nav {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem 3.5rem;
    background-color: var(--bg-color);
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

nav h1 {
    color: var(--primary-color);
}

nav a {
    color: var(--primary-color);
    transition: var(--transition);
}

nav a:hover {
    color: var(--secondary-color);
    border-bottom: 2px solid var(--secondary-color);
}

.project-link {
    color: var(--primary-color);
    transition: var(--transition);
}

.project-link:hover {
    color: var(--secondary-color);
    border-bottom: 2px solid var(--secondary-color);
}


nav ul {
    display: flex;
    gap: 1.9rem;
}

nav ul li {
    font-weight: var(--bold-font);
}

.burger-menu {
    color: var(--primary-color);
    font-size: 2rem;
    border: 0;
    background-color: transparent;
    cursor: pointer;
    display: none;
}

.hero {
    padding-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2.5rem;
    max-width: 68.75rem;
    margin: auto;
}



.hero img {
    height: 30.5rem;
    width: 30.5rem;
}

.bio {
    width: 25rem;
    padding: 0.625rem;
    border-radius: 6px;
    box-shadow: 0px 2px 15px 2px var(--primary-shadow);
}

.bio h1 {
    margin-bottom: var(--bottom-margin);
}

.bio p {
    line-height: var(--line-height);
    padding: 0.3rem 0;
}

.projects {
    background-color: var(--bg-color);
    padding: 32px 0;
    margin-top: 2rem;
}

.project-pic {
    width: 65%;
    height: 60%;
}

.projects-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.projects-title {
    text-align: center;
    margin-bottom: 1rem;
}

.project-container {
    text-align: center;
    width: 21.875rem;
    padding: 1rem;
}

.project-container p {
    padding: 0.4rem;
}

.project-title {
    margin-bottom: var(--bottom-margin);
}

.project-details {
    margin-bottom: var(--bottom-margin);
}

.project-card {
    background-color: #fff;
    border-radius: 11px;
    box-shadow: 0 3px 10px var(--primary-shadow);
    padding: 20px;
    margin: 10px;
}

.headerPic {
    width: 35px;
    border: none;
    margin-right: 25px;
}

#contact {
    display: flex;
    justify-content: center;
    margin-bottom: 15px;
}

.contact {
    display: flex;
    justify-content: center;
    background-color: #fff;
    border-radius: 11px;
    box-shadow: 0 3px 10px var(--primary-shadow);
    padding: 20px;
    margin: 10px;
}

.container {
    display: flex;
    justify-content: center;
}

footer {
    background-color: var(--bg-color);
    padding: 1.25rem;
    text-align: center;
    margin: 2rem 0 0;
}
